Subject: Re: [PATCH v2] Add svnrdump

From: "C. Michael Pilato" <[email-masked]>
Date: Wed, 14 Jul 2010 12:48:11 -0400

On 07/14/2010 12:01 PM, Ramkumar Ramachandra wrote:
> Hi Stefan,
> 
> Stefan Sperling writes:
>> Playing with svnrdump and comparing its output to the output of
>> svnadmin dump --deltas, I noticed that:
> 
> Thanks for testing!
> 
>>  - svnrdump doesn't dump revision 0.
>>    It should dump revision 0, because that revision can contain important
>>    revprops such as metadata for svnsync (svn:sync-last-merge-rev etc.)
> 
> Yeah, I forgot to ask about this: passing 0 as an argument to the
> replay API doesn't seem to work. Why? How do I dump revision 0 then?

You fake it, just like the code behind 'svnadmin dump' does.  :-)
Seriously, Revision 0 is nothing but a revision header and revision
properties.  There is no node data to transmit.

-- 
C. Michael Pilato <[email-masked]>
CollabNet   <>   www.collab.net   <>   Distributed Development On Demand